scala.xml

# TopScope

#### object TopScope extends NamespaceBinding

top level namespace scope. only contains the predefined binding for the "xml" prefix which is bound to "http://www.w3.org/XML/1998/namespace"

Source
  TopScope.scala

Linear Supertypes
NamespaceBinding, Serializable, java.io.Serializable, Product, Equality, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TopScope
2. NamespaceBinding
3. Serializable
4. Serializable
5. Product
6. Equality
7. Equals
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### def basisForHashCode: Seq[Any]

   Definition Classes
     NamespaceBinding → Equality

8. #### def buildString(sb: StringBuilder, ignore: NamespaceBinding): Unit

   Definition Classes
     TopScope → NamespaceBinding

9. #### def buildString(stop: NamespaceBinding): String

   Definition Classes
     TopScope → NamespaceBinding

10. #### def canEqual(other: Any): Boolean

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      NamespaceBinding → Equality → Equals

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

12. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### def equals(other: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Equality → Equals → AnyRef → Any

14. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

15. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

16. #### def getPrefix(uri1: String): String

    Returns some prefix that is mapped to the URI.

    Returns some prefix that is mapped to the URI.

    returns

      the prefix that is mapped to the input URI, or null if no prefix is mapped to the URI.

    Definition Classes
      TopScope → NamespaceBinding

17. #### def getURI(prefix1: String): String

    Definition Classes
      TopScope → NamespaceBinding

18. #### def hashCode(): Int

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals.

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals. However WE at least can pretend they are final since clearly individual classes cannot be trusted to maintain a semblance of order.

    returns

      the hash code value for this object.

    Definition Classes
      Equality → AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

22. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

23. #### val parent: NamespaceBinding

    Definition Classes
      NamespaceBinding

24. #### val prefix: String

    Definition Classes
      NamespaceBinding

25. #### def strict_!=(other: Equality): Boolean

    Definition Classes
      Equality

26. #### def strict_==(other: Equality): Boolean

    Definition Classes
      NamespaceBinding → Equality

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      TopScope → NamespaceBinding → AnyRef → Any

29. #### val uri: String

    Definition Classes
      NamespaceBinding

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

33. #### final def xml_!=(other: Any): Boolean

    Definition Classes
      Equality

34. #### final def xml_==(other: Any): Boolean

    Definition Classes
      Equality

### Inherited from NamespaceBinding

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equality

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped